<?php
require_once "../../functions.php";
$pag = basename($_SERVER['PHP_SELF']);
comprobar_postget('post', ['id_empleado', 'archivo'], $pag, false, '');
gen_plantilla(true, $pag, false, false, '', false, false, false, false);

$id_empleado = filter_input(INPUT_POST, 'id_empleado', FILTER_SANITIZE_NUMBER_INT);
$archivo = filter_input(INPUT_POST, 'archivo', FILTER_SANITIZE_SPECIAL_CHARS);

$ruta = "../../../documents" . DIRECTORY_SEPARATOR . "$id_empleado" . DIRECTORY_SEPARATOR;
if(isset($_POST['nomina'])) $ruta.='nominas'. DIRECTORY_SEPARATOR;

if (!is_dir($ruta)) {
    crear_notificacion('error', 'La ruta no existe');
    crear_log(
        'error',
        'Error al buscar ruta del archivo para eliminación',
        $pag,
        'No se ha podido encontrar la ruta del documento de la siguiente ruta ' . $ruta
    );
    exit;
}
if (!is_file($ruta . DIRECTORY_SEPARATOR . $archivo)) {
    crear_notificacion('error', 'No se ha podido localizar el documento');
    crear_log(
        'error',
        'Error al localizar archivo para eliminación',
        $pag,
        'No se ha podido localizar el documento de la siguiente ruta ' . $ruta . DIRECTORY_SEPARATOR . $archivo
    );
    exit;
}

if (!unlink($ruta . DIRECTORY_SEPARATOR . $archivo)) {
    crear_notificacion('error', 'No se ha podido eliminar el documento');
    crear_log(
        'error',
        'Error al eliminar archivo',
        $pag,
        'No se ha podido eliminar el documento de la siguiente ruta ' . $ruta . DIRECTORY_SEPARATOR . $archivo
    );
    exit;
}

//Eliminar de la bbdd
consulta('DELETE FROM documentos WHERE id_empleado=? AND archivo=?;',[$id_empleado,$archivo],false);

crear_notificacion('correcto', 'Documento eliminado correctamente');
crear_log(
    'info',
    'Archivo eliminado',
    $pag,
    'Documento eliminado en la ruta ' . $ruta . DIRECTORY_SEPARATOR . $archivo
);
